diff -Nur madwifi-0.9.3.2-rc1.orig/ath/if_ath.c madwifi-0.9.3.2-rc1/ath/if_ath.c
--- madwifi-0.9.3.2-rc1.orig/ath/if_ath.c	2007-07-29 21:35:51.000000000 +0200
+++ madwifi-0.9.3.2-rc1/ath/if_ath.c	2007-07-29 21:37:20.000000000 +0200
@@ -1310,7 +1310,9 @@
 void
 ath_suspend(struct net_device *dev)
 {
+#ifdef AR_DEBUG
 	struct ath_softc *sc = dev->priv;
+#endif
 
 	DPRINTF(sc, ATH_DEBUG_ANY, "%s: flags %x\n", __func__, dev->flags);
 	ath_stop(dev);
@@ -1319,7 +1321,9 @@
 void
 ath_resume(struct net_device *dev)
 {
+#ifdef AR_DEBUG
 	struct ath_softc *sc = dev->priv;
+#endif
 
 	DPRINTF(sc, ATH_DEBUG_ANY, "%s: flags %x\n", __func__, dev->flags);
 	ath_init(dev);
@@ -7522,7 +7526,9 @@
 static void
 ath_tx_draintxq(struct ath_softc *sc, struct ath_txq *txq)
 {
+#ifdef AR_DEBUG
 	struct ath_hal *ah = sc->sc_ah;
+#endif
 	struct ath_buf *bf;
 	struct sk_buff *skb;
 #ifdef ATH_SUPERG_FF
diff -Nur madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_node.c madwifi-0.9.3.2-rc1/net80211/ieee80211_node.c
--- madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_node.c	2007-07-29 21:33:52.000000000 +0200
+++ madwifi-0.9.3.2-rc1/net80211/ieee80211_node.c	2007-07-29 21:39:38.000000000 +0200
@@ -519,7 +519,9 @@
 ieee80211_ibss_merge(struct ieee80211_node *ni)
 {
 	struct ieee80211vap *vap = ni->ni_vap;
+#ifdef IEEE80211_DEBUG
 	struct ieee80211com *ic = ni->ni_ic;
+#endif
 
 	if (ni == vap->iv_bss ||
 	    IEEE80211_ADDR_EQ(ni->ni_bssid, vap->iv_bss->ni_bssid)) {
@@ -1737,7 +1739,9 @@
 ieee80211_node_join_11g(struct ieee80211_node *ni)
 {
 	struct ieee80211com *ic = ni->ni_ic;
+#ifdef IEEE80211_DEBUG
 	struct ieee80211vap *vap = ni->ni_vap;
+#endif
 
 	IEEE80211_LOCK_ASSERT(ic);
 
diff -Nur madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_proto.c madwifi-0.9.3.2-rc1/net80211/ieee80211_proto.c
--- madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_proto.c	2007-07-29 21:35:06.000000000 +0200
+++ madwifi-0.9.3.2-rc1/net80211/ieee80211_proto.c	2007-07-29 21:40:36.000000000 +0200
@@ -1090,7 +1090,9 @@
 ieee80211_dturbo_switch(struct ieee80211com *ic, int newflags)
 {
 	/* XXX use first vap for debug flags */
+#ifdef IEEE80211_DEBUG
 	struct ieee80211vap *vap = TAILQ_FIRST(&ic->ic_vaps);
+#endif
 	struct ieee80211_channel *chan;
 
 	chan = ieee80211_find_channel(ic, ic->ic_bsschan->ic_freq, newflags);
